EDIT - bug #7686

Specimen title cache issues in data portal specimen table
08/27/2018 01:31 PM - Patrick Plitzner

Status: Closed Start date:
Priority: New Due date:
Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version: Release 5.3
Severity: normal Found in Version:
Description
Collector +
Country Date collecting |Herbaria | Type | Scan | Derivatives
number
Indonesia, |, 957 08.24 Meijer 6941 L %
Republic of

Associated with: Nepenthes adnata Tamin & M. Hotta ex Schlauer
Citation: Indonesia, Republic of, W Sumatra, Taram E of Payakumbuh, river
Tjampo, alt. 1000 m, 24.8.1957, Meijer 6941.

Holotype of Nepenthes adnata Nepenthes adnata

Walter:

* Der Name nach Holotype of wird doppelt ausgegeben.
¢ Vor dem Link zum Herbarbeleg sollte ein Promt stehen “Link(s) to specimens:”
e Warum steht eine Leerzeile vor den Links?

Beim folgenden Beispiel stehen die folgenden Daten im Cache:

Philippines, Panay, Antique Prov., Mariliso (= Malalison) Island., male infl or. May-Aug. 1918, McG
regor 32313 (holotype: US, isotype: B, photo K, photo PNH)

Das muss auch erstmal so stehen bleiben, da wir noch kein Specimen-unabhangiges Feld fiir das Originalzitat des Typus und die
Typendiskussion haben. Damit aber unter der Uberschrift Specimens etwas steht, habe ich Sammler und Nummer (sozusagen der
Field Unit) eingetragen, dann kommt folgendes heraus:

Collector +
Count Date Herbaria | Type | Scan | Derivatives
Y collecting number P
B Philippines| McGregor 32313 v

Associated with: Nepenthes abalata Jebb & Cheek
Citation: Philippines, McGregor 32313.

72e69c38-3e0a-4eb2-9167-7fd72214a100
Offenbar wird die Zeile “xType of” nur ausgegeben, wenn die Typuskategorie eingegeben wurde? Das ist bei mehrere Specimens
umfassenden Cache-Angaben natirlich nicht méglich.

Der unschéne Link ware ja mit entsprechendem Prompt noch akzeptabel — aber auf der Specimen Seite wird dann der Cache nicht
angezeigt:

Home | Checklist | Bibliography | Attribution

rch taxa Specimen 72e69c38-3e0a-4eb2-9f67-7fd72214a100

Citation: Philippines, McGregor 32313

)]
ad Search

L e T

Ich gehe davon aus, dass die Specimen-Daten, die aus der Literatur hereinkommen, zunachst meist im Cache zitiert werden
(besonders die Typen, solange es noch kein unabhangiges Typus-Diskussionsfeld gibt). Da ware es gut, wenn man sich die Daten
auch anzeigen lassen kdnnte.

Related issues:
Related to EDIT - bug #7692: Empty "Specimens" section Worksforme

Related to EDIT - feature request #7704: Dataportal specimen table should be ... Closed

Associated revisions

Revision 2d6348e5 - 08/29/2018 04:08 PM - Patrick Plitzner
ref #7686 Add label to link to specimen page

Revision 01371d61 - 08/29/2018 04:33 PM - Patrick Plitzner

ref #7686 Use titleCache if no identifier can be found

Revision cd175378 - 08/29/2018 04:34 PM - Patrick Plitzner
ref #7686 Do not ignore types without type status

Revision a5b11885 - 08/29/2018 04:47 PM - Patrick Plitzner

ref #7686 show info for unset type status

Revision 64688697 - 08/29/2018 05:12 PM - Patrick Plitzner
ref #7686 Do not use null for keys in map (JSON error)

Revision 76c5c9b7 - 08/30/2018 06:53 AM - Patrick Plitzner
ref #7686 Fix check for empty string

Revision 0dd9be37 - 08/30/2018 07:20 AM - Patrick Plitzner
ref #7686 Fix check for empty string

Revision 6a660dc3 - 08/30/2018 07:49 AM - Patrick Plitzner

ref #7686 Remove citation label

Revision b511fb13 - 08/30/2018 10:24 AM - Patrick Plitzner
ref #7686 Better way to check for empty string

Revision 269e42e0 - 08/30/2018 11:13 AM - Patrick Plitzner
ref #7686 Better way to check for empty string

Revision 25fc25ca - 09/13/2018 04:41 PM - Patrick Plitzner
ref #7686 Change label of specimen page link

Revision 87bf25dd - 09/14/2018 01:24 PM - Patrick Plitzner
ref #7686 Show titleCache as title of specimen page

Revision Ob4ac33b - 09/14/2018 01:34 PM - Patrick Plitzner
ref #7686 Fix NPE during specimen title generation

Revision 31ab4cf9 - 09/14/2018 03:12 PM - Patrick Plitzner
ref #7686 Change label for no type status

History

#1 - 08/27/2018 01:33 PM - Patrick Plitzner
- File picture248-1.png added
- File picture248-2.png added

- Description updated

#2 - 08/27/2018 01:35 PM - Patrick Plitzner
- Tags set to campanula

- Description updated

#3 - 08/29/2018 03:16 PM - Patrick Plitzner

- Subject changed from Specimen types issues in data portal specimen table to Specimen title cache issues in data portal specimen table
Walter:

"Hierzu dann gleich auch noch zwei Anmerkungen:

Den Titel mit der ID ist unschén, zumal ja diese ID auch nur intern etwas bedeutet. In der Botanik wére es schon, hier das Sammler +
Sammlernummerzitat im Titel zu haben (kann dann im Text ruhig wiederholt werden).

Den Prompt “Citation” finde ich (auch bei der Tabelle) erstens tberflissig und zudem auch noch (bei Typen) irrefiihrend, da es sich ja gerade nicht
um die Originaldaten (die , Type citation“ im Protolog) handelt, sondern um einen von uns zusammengesetzten String."

#4 - 08/29/2018 03:19 PM - Patrick Plitzner
Andreas M.:

e Gibt der verwendete Webservice grundsétzlich nur Fieldunits oder werden auch DerivedUnits zurlickgegeben, aber werden nur nicht
ausgewertet? Gegebenenfalls misste der Webservice entsprechend angepasst werden

Gegeben, dass auch DerivedUnits zurickkommen kénnen, missten diese in eine FieldUnit gewrapped werden (oder etwas &hnliches) und als
label lediglich der TitleCache ausgegeben werden

Grundsatzlich muss es ein Handling fur protectedTitleCache = true geben. Derzeit scheint die Tabelle damit nicht umgehen zu kénnen, egal ob
FieldUnit oder DerivedUnit. Im Fall von protected titleCache = true misste der titleCache wie gespeichert ausgegeben werden, méglichst mit
einem column span, da er ja vermutlich langer ist.

¢ Das von Walter unten aufgezeigte Handling der DerivedUnit mit protectedTitleCache UND leerer FieldUnit, bei der fir das Specimen nur die
UUID angezeigt wird, ist vollig unverstandlich. Hier muss auf jeden Fall der titleCache angezeigt werden, der in diesem Fall laut DB ,Philippines,
Panay, Antique Prov., Mariliso (= Malalison) Island., male infl or. May—Aug. 1918, McGregor 32313 (holotype: US, isotype: B, photo K, photo
PNH)“ lautet.

Dieser Cache ist nicht schon, weil er eigentlich ein Typus Cache ist, aber definitiv besser als die UUID. Das Thema Typus Cache werden wir
spater behandeln.

Link zu Walters Beispielen:

http://caryophyllales.org/nepenthaceae/cdm_dataportal/taxon/90d47d8d-0f76-47d9-a0c8-20b4361080a4

bzw.

http://caryophyllales.org/nepenthaceae/cdm_dataportal/specimen/72e69c38-3e0a-4eb2-9f67-7fd72214a100

#5 - 08/29/2018 03:32 PM - Andreas Miiller
- Related to bug #7692: Empty "Specimens" section added
http://caryophyllales.org/nepenthaceae/cdm_dataportal/taxon/90d47d8d-0f76-47d9-a0c8-20b4361080a4
http://caryophyllales.org/nepenthaceae/cdm_dataportal/specimen/72e69c38-3e0a-4eb2-9f67-7fd72214a100

#6 - 08/30/2018 08:04 AM - Patrick Plitzner
- Related to feature request #7704: Dataportal specimen table should be able to show DerivedUnits without a FieldUnit added

#7 - 08/30/2018 11:45 AM - Patrick Plitzner

- Status changed from New to Resolved

- Assignee changed from Patrick Plitzner to Andreas Mliller

- % Done changed from 0 to 50

All the Ul issues have been solved.

The issue with the DerivedUnit with no FieldUnit is handled in #7704
#8 - 09/10/2018 05:27 PM - Andreas Miiller

- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miiller to Patrick Plitzner

Offenbar wird die Zeile “xType of” nur ausgegeben, wenn die Typuskategorie eingegeben wurde? Das ist bei mehrere Specimens umfassenden
Cache-Angaben natrlich nicht méglich.

Now it says: "no type status set: Achillea santolinoides". IMO this is also not correct. If the type is written in the cache for the user it becomes unclear
why it is not set.

Also it is not correct for a label the primarily wants to say "this is a type for ...".

So | suggest so simply say "Type for: ". Or was there a user requirement for something else?

#9 - 09/10/2018 05:31 PM - Andreas Miiller

- File picture360-1.png added

On the specimen page still the Class UUID formatting occurs.

Also there are 2 warning now.

Example from test.cyprus with type specimen for Achillea santolinoides (created for this review):

Specimen 10d0d66d-681b-42a3-a28b-f3d1cf740c1d

@ « MNotice: Trying to get property of non-object in theme_cdim_specimen_page_title() (line 66 of Aarimww
Adrupal-7.32/sites! jenkins-workspace/modulesicdm_dataportaltheme/cdm_dataportal page theme).

« Notice: Trying to get property of non-object in theme_cdm_specimen_page _title() (line 65 of Aarww
fdrupal-7.32/sites! jenkins-workspace/modulesicdm_dataportalthemelcdm_dataportal page theme).

Philippines, Republic of the, McAllister 12345,
no type status set Achillea santolinoides

#10 - 09/14/2018 01:36 PM - Patrick Plitzner
- Status changed from Feedback to Resolved
- Assignee changed from Patrick Plitzner to Andreas Miiller

The titleCache issue is fixed.

| do not get the warnings on my local copy of the cyprus data base so | am not able to reproduce the error. Nevertheless | added code to catch the
exception which happens most probably due to a null reference. We have to wait for the snapshot build to complete to see if the issue is fixed.
https://dev.e-taxonomy.eu/redmine/issues/7704

#11 - 09/14/2018 02:23 PM - Andreas Miiller

The full titleCache is now available and no warning anymore:

http:/test.e-taxonomy.eu/dataportal/preview/cyprus/cdm_dataportal/specimen/10d0d66d-681b-42a3-a28b-f3d1cf740c1d

#12 - 09/17/2018 01:42 PM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miiller to Patrick Plitzner

There is still a comma missing beetween the types if there are >1 types.

#13 - 11/18/2019 02:31 PM - Andreas Miiller
- Status changed from Feedback to Resolved

- Assignee changed from Patrick Plitzner to Andreas Muiller

Please check what is still open

#14 - 10/09/2020 12:40 PM - Andreas Kohlbecker

- Tags changed from campanula to campanula, specimen-view-table

#15 - 10/09/2020 12:40 PM - Andreas Kohlbecker

- Tags changed from campanula, specimen-view-table to campanula, specimens-view-table

#16 - 10/09/2020 12:41 PM - Andreas Kohlbecker

- Assignee changed from Andreas Miiller to Andreas Kohlbecker

#17 - 10/09/2020 01:56 PM - Andreas Kohlbecker
- Status changed from Resolved to Closed

- % Done changed from 50 to 100

to me it seems as if all issues are fixed now, except for the issue of the missing comma between two specimen type designations. As the specimen
page will be more or less completely rewritten we can neglect this minor problem for now.
http://test.e-taxonomy.eu/dataportal/preview/cyprus/cdm_dataportal/specimen/10d0d66d-681b-42a3-a28b-f3d1cf740c1d
http://www.tcpdf.org

